<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:focusable="true"
    android:focusableInTouchMode="true"
    android:orientation="vertical"
    android:paddingLeft="25dp"
    android:id="@+id/rootView"
    android:paddingRight="25dp"
    >

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="39dp">

        <ImageView
            android:layout_width="27dp"
            android:layout_height="27dp"
            android:padding="5dp"
            android:layout_gravity="center_vertical"
            android:src="@mipmap/icon_login_close"
            android:id="@+id/btn_back"
            />

        <TextView
            android:id="@+id/btn_register"
            android:layout_width="wrap_content"
            android:layout_height="30dp"
            android:gravity="center"
            android:layout_gravity="right|center_vertical"
            android:paddingLeft="10dp"
            android:paddingRight="10dp"
            android:text="@string/login_immediately_register"
            android:textColor="#646464"
            android:textSize="@dimen/text_size_13"
            />
    </FrameLayout>


    <net.lucode.hackware.magicindicator.MagicIndicator
        android:layout_width="wrap_content"
        android:id="@+id/indicator"
        android:layout_marginTop="20dp"
        android:layout_height="35dp"/>

    <com.wanyue.common.custom.MyViewPager
        android:id="@+id/viewPager"
        android:layout_width="match_parent"
        android:layout_height="@dimen/login_view_height"
        android:layout_marginLeft="15dp"
        android:layout_marginRight="15dp"
        />

    <Space
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_weight="1"
        />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recyclerView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal|bottom"
        android:layout_marginBottom="30dp"
        android:overScrollMode="never"
        />


    <LinearLayout
        android:id="@+id/tip_group"
        android:layout_width="wrap_content"
        android:layout_height="17dp"
        android:layout_gravity="center_horizontal|bottom"
        android:layout_marginBottom="15dp"
        android:orientation="horizontal"
        >

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/login_tip_1"
            android:textColor="@color/textColor2"
            android:textSize="@dimen/text_size_11"
            />

        <TextView
            android:id="@+id/btn_tip"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_marginLeft="1dp"
            android:text="@string/login_tip_2"
            android:textColor="@color/global"
            android:textSize="@dimen/text_size_11"
            />
    </LinearLayout>


</LinearLayout>